## kernel-patch-2.4.26-mips 2.4.26-0.040505.1

=== debian/changelog ===
kernel-patch-2.4.26-mips (2.4.26-0.040505.1) unstable; urgency=low

  * Improve compiler optimization options.
  * Add some more ide, usb and nic modules (Closes: #238428).
  * Remove forcedeth module, it's not useful for SWARM.
  * Enable Framebuffer support, makes USB HID useful (Closes: #244443).
  * Build mips-tools for any arch.
  * Don't build the kernel headers for non-MIPS arch (Closes: #249821).

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Sun, 30 May 2004 23:59:37 +0200

kernel-patch-2.4.26-mips (2.4.26-0.040505) unstable; urgency=low

  * Switched to kernel version 2.4.26, mips CVS 2004-05-05.
  * Don't create separate ppp module packages for r3k-kn02, r4k-kn04,
    r4k-ip22 anymore.
  * Add xxs1500 images, thanks to Goswin Brederlow.
  * Split the mips-patch in several items, keep them uncompressed,
    adjust debian/rules accordingly.
  * simplify debian/rules a bit.
  * enable some more modules for sb1-swarm, especially scsi and usb,
    and add highmem support. Export some symbols for this.
  * Fix basic PCMCIA operations for sb1-swarm, thanks to
    Peter 'p2' de Schrijver.

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Sun, 16 May 2004 22:36:13 +0200

kernel-patch-2.4.25-mips (2.4.25-0.040415.1) unstable; urgency=low

  * switched kernel version to 2.4.25, thanks to Thiemo Seufer.
  * modified 2.4.19 PMAD-AA patch to work with 2.4.25 and applied it
  * applied Cobalt patch from
    http://www.colonel-panic.org/cobalt-mips/
  * do not build drivers/tc/lk201-map.c on the fly anymore but instead
    provide a pregenerated source file as current loadkeys produces code
    which aims at kernel 2.5/2.6 and is incompatible with kernel 2.4
  * used new initrd patch written by
    Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>, and a fix for it
    by Martin Michlmayr.
  * added patch implementing TIOCGSERIAL for the SWARM, thanks to
    Peter 'p2' De Schrijver.
  * add Cobalt images, thanks Martin Michlmayr (Closes: #243626).
  * enable sb1-swarm-bn images on little-endian mips.
  * enable CONFIG_UNIX on sb1-swarm-bn (Closes: #243630).
  * enable OSS mixer on ip22.
  * built against kernel-source-2.4.25 version 2.4.25-3 in order to
    get some security fixes.

 -- Karsten Merker <merker@debian.org>  Thu, 15 Apr 2004 15:05:58 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928.5) unstable; urgency=low

  * don't build udebs, they're handeld by d-i's build process now
  * move mips and mipsel configs into separate subdirs since some
    boards can run in both endianesses but need different configs
  * compile in mips_rtc for swarm
  * build more modules for swarm (Closes: #238428)
  * enable initrd for swarm (Closes: #238447)
  * add a little endian swarm config, will be autobuild once we reenable mipsel
  * remove extra mips/ subdir in kernel-patch package 

 -- Guido Guenther <agx@debian.org>  Mon, 22 Mar 2004 23:35:27 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928.4) unstable; urgency=low

  * remove all mipsel builds. The DECStations were broken since ages, Karsten
    and Thiemo are working on a fix. Until mipsel can switch to 2.4.22 they
    use 2.4.19, this somewhat eases security update maintenance.
  * some minor -march vs. -mtune updates to fix sb1250 build
  * export __cpu_{logical,nr}_map to modules to make iptables/ipchains work on
    SMP systems
  * add build of sb1-swarm-bn images (BCM91250A)
  * properly clean the build dir so we don't run into problems with SMP builds
  * adjust build-dependency to (>= 2.4.22-5) to make sure we build with
    a kernel-source that has the do_brk fix
  * remove /u/s/d/kernel-patch-2.4.X from debian/dirs since this is handeld by
    dh_installdocs
  * slightly update README.Debian

 -- Guido Guenther <agx@debian.org>  Tue,  2 Mar 2004 14:35:22 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928.3) unstable; urgency=high

  * Applied patch extracted from Solar Designer's Owl patched kernel to
    fix local privilege escalation discovered by Paul Starzetz
    (CAN-2004-0077)
  * remove Conflict libc6 (<=2.3.2-7) to ease upgrades.
  * remove do_brk security fix, it's in the 2.4.22 kernel-source package
    now

 -- Guido Guenther <agx@debian.org>  Mon,  9 Feb 2004 20:15:19 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928.2) unstable; urgency=low

  * apply do_mremap security fix (CAN-2003-0985)

 -- Guido Guenther <agx@debian.org>  Wed,  7 Jan 2004 14:10:14 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928.1) unstable; urgency=low

  * apply do_brk security fix, thanks Herbert Xu
  * store the uncompressed linux-mips CVS patch in the source package

 -- Guido Guenther <agx@debian.org>  Mon,  1 Dec 2003 14:17:56 +0100

kernel-patch-2.4.22-mips (2.4.22-0.030928) unstable; urgency=low

  * update include/asm-mips/msgbuf.h to CVS version 1.1.4.3 to fix msqs. Add a
    conflict on glibc <= 2.3.2-7 for mips, since this breaks binary
    compatibility. Thanks to Ryan Murray for sorting this out.
    (Closes: #215273)

 -- Guido Guenther <agx@debian.org>  Mon, 13 Oct 2003 10:49:17 +0200

kernel-patch-2.4.22-mips (2.4.22-0.030927) unstable; urgency=low

  * new upstream version
  * use PHYSADDR in sgiwd93 (patch by Ladislav Michel)
  * fix addinitrd on mipsel (patch by Thiemo Seufer)
  * disable second level cache on IP22 (Thiemo Seufer), but only on R5Ks (me),
    this finally allows R5k SC Indys to work
  * remove mips kmap_types.h patch, it's fixed upstream now...
  * ... but add kmap_types.h for mips64
  * pull pmadaa until someone fixes the build
  * DECStations serial driver options changed completely, updated configs

 -- Guido Guenther <agx@debian.org>  Mon, 29 Sep 2003 21:19:09 +0200

kernel-patch-2.4.21-mips (2.4.21-0.030705) unstable; urgency=low

  * new upstream version
  * readd serial console support for IP22 which got accidentally disabled due
    to changes in the CONFIG_IP22_* naming, thanks to Julian Blache for
    spotting this.
  * most of our patches are now in linux-mips.org's cvs

