=== debian/control ===
Source: kernel-patch-2.4.26-mips
Section: devel
Priority: optional
Maintainer: Karsten Merker <merker@debian.org>
Uploaders: Guido Guenther <agx@debian.org>
Build-Depends: kernel-source-2.4.26, kernel-package, debhelper (>=4.1.0), modutils, console-tools
Standards-Version: 3.6.1

Package: kernel-patch-2.4.26-mips
Architecture: all
Recommends: kernel-source-2.4.26
Provides: kernel-patch-mips
Conflicts: kernel-patch-mips
Replaces: kernel-patch-mips
Description: Diffs to the kernel source for MIPS
 The MIPS kernel is maintained at the ftp.linux-mips.org's cvs repository.
 This patch is based on the linux_2_4 branch.

Package: kernel-headers-2.4.26
Architecture: mips mipsel
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to a specific Linux kernel
 This package provides kernel header files, for sites that want the latest
 kernel headers.  Read /usr/share/doc/kernel-headers-2.4.26/debian.README.gz
 for details.

Package: mips-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: mips specific kernel tools
 This package provides tools used on the mips architecture to convert the
 kernel into an ecoff image.

Package: kernel-image-2.4.26-r4k-ip22
Section: base
Architecture: mips
Suggests: kernel-doc-2.4.26, arcboot (>=0.3.1)
Conflicts: arcboot (<<0.3.1)
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for R4XX0 processors and the IP22 subarchitecture 
 like the Indy and Indigo2.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-r5k-ip22
Section: base
Architecture: mips
Suggests: kernel-doc-2.4.26, arcboot (>=0.3.1)
Conflicts: arcboot (<<0.3.1)
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for R5000 processors and the IP22 subarchitecture 
 like the Indy and Indigo2.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-sb1-swarm-bn
Section: base
Architecture: mips mipsel
Suggests: kernel-doc-2.4.26
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for the BMC91250A (aka SWARM) pass 2.2.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-r4k-kn04
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.26, delo
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This is the kernel required for the R4000 based DECstation
 5000/150 and similar machines, such as the R4400 based DECstation
 5000/260.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-r3k-kn02
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.26, delo
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This is the kernel required for R3000 based DECstations with KN02
 (or compatible) mainboard, such as the DECstation 5000/1xx series
 with xx=20,25,33 and the DECstation 5000/240.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-r5k-lasat
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.26
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for R5000 processors on the Lasat Masquerade Pro.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-r5k-cobalt
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.26
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for MIPS based Cobalt machines (such as the Qube,
 RaQ, Qube2 and RaQ2).
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.

Package: kernel-image-2.4.26-xxs1500
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.26
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for the Au1500 based XXS1500 board.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.26-mips.
